▼ 만자로 리눅스 시스템 전반에 EQ를 적용하고 싶어서 pulseeffects 패키지를 설치했습니다.

 

▼ GUI에서 PulseEffects를 실행해 봤는데, 작업표시줄에 아이콘만 빙빙 돌다가 끝나더군요. 실행이 안됨.

 

▼ 무슨 일인가 싶어서 커맨드라인에서 pulseeffects를 실행해 봤더니,
what: soe: Failed to get required plugin: pipewiresrc
라는 에러메세지가 나오더군요.

 

무슨 일인가 싶어 구글링 해봤는데, 아래의 글이 나오더군요.

https://forum.manjaro.org/t/pulseeffect-5-not-pipewiresrc-pulseaudio-manjaro-xfce-20-1/51679/9

pulseeffects 5.0부터는 pipeware와 맞물려 돌아간다. 바꾸기 싫으면 pulseeffects-legacy 패키지를 설치해라.

 

▼ 맥락이 와닿지 않아서 Octopi를 통해 검색해 봤습니다.

▲ Pulseeffects-lagacy 패키지는 버전이 낮더군요. 4.8.4-3.

 

미래에는 pulseeffects-legacy 패키지 지원이 끊길 것이나, 현재는 pulseeffects 5.0 패키지가 돌아가지 않는 상황. 그래서 일단은 pulseeffects 5.0 패키지를 지우고 pulseeffects-legacy 패키지를 설치했습니다.

 

▼ sudo pacman -R -s pulseeffects
sudo pacman -S pulseeffects-legacy

 

▼ 실행은 되는데, 기능이 활성화가 안되네요. 방법을 찾아봐야 하겠습니다.

 

위 스크린 샷의 우측 하단을 보면 Provided by Linux Studio Plugins 라고 보이죠?

https://bbs.archlinux.org/viewtopic.php?id=244157

(구글 검색어 : pulseeffects equalizer greyed out )

▲ 위 글에 필요한 구성요소들이 많이많이 나오는데, 그 중에 위 스크린 샷의 우측 하단을 보면 Linux Studio Plugins가 보이네요.

 

▼ 좀 더 찾아보니, LSP가 Linux Studio Plugins 의 약자인 것 같습니다.

 

▼ Octopi 에서 lsp 라고 쳐보니까 lsp-plugins가 비슷해 보였습니다. LADSPA, LV2 단어들도 나오고...

 

그래서 pulseeffects를 종료하고, 터미널 창에서
sudo pacman -S lsp-plugins
라고 입력하여 설치한 다음 pulseeffects를 재실행 했더니...

 

▼ 활성화 되었습니다!
다른 구성 요소들도 이런 방식으로 찾아 설치하면 활성화 될 겁니다.

 

sudo pacman -S zam-plugins

sudo pacman -S calf

sudo pacman -S rubberband

sudo pacman -S rnnoise

 

(pulseeffects:14850): pulseeffects-WARNING **: 23:47:52.805: rnnoise plugin was not found!

하아...

①광고 차단 플러그인 해제 후 새로고침(F5)
②글주소 복사 ▶ Ctrl+Shift+N(시크릿탭) ▶ 붙여넣고 엔터

① 또는 ②의 방법으로 본문을 볼 수 있습니다.
(Please turn off AdBlock Plug-in.)


p.s. 광고에도 여러분이 관심을 가질만한 정보가 녹아있을 수 있습니다.

( ※ 내가 애드블록 해제를 권유하는 이유 )


댓글 0

댓글!! 작은 정보를 남겨주세요. 다른 분들께 큰 도움이 됩니다. ★